Ticket #34740

Open JTalk 1.09 への移行

Open Date: 2014-12-25 20:49 Last Update: 2016-06-02 17:13

Reporter: nishimoto Owner: nishimoto
Type: Patches Status: Closed
Component: 音声合成 MileStone: 2016.2jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

Open JTalk および HTS Engine は毎年12月25日のリリースが恒例になっています。

http://sourceforge.net/projects/hts-engine/files/hts_engine%20API/

http://sourceforge.net/projects/open-jtalk/files/Open%20JTalk/

どうやら MeCab が更新されるようですが、 NVDA 日本語版の JTalk はすでに独自に MeCab をアップデートしているので、 これについては移行の影響はなさそうです。

ざっと CVS の更新記録をみたところ、 メモリ管理やパラメーター読み込みのバグ修正などが入っているようです。

前回の作業記録 Open JTalk 1.07 への移行 チケット #30704

Attachment File List

No attachments

Ticket History (3/6 Histories)

2014-12-25 20:49 Updated by: nishimoto
  • New Ticket "Open JTalk 1.08 への移行" created
2016-02-25 13:20 Updated by: nishimoto
  • Resolution Update from None to Accepted
  • Summary Updated
2016-03-09 12:18 Updated by: nishimoto
Comment

Windows 10 + Visual Studio 2015 で下記を単体テストできる状態にして (といいつつ現状では話者モデルと mecab 辞書は別途用意) こちらを進めたいと思います。

https://github.com/nvdajp/python-jtalk

2016-03-09 12:46 Updated by: nishimoto
Comment

まず hts_engine_API を 1.8 から 1.10 に移行して、影響を確認します。

2016-03-10 12:06 Updated by: nishimoto
  • Resolution Update from Accepted to Fixed
Comment

Open JTalk 1.09 に移行したベータ版をリリース。 期待はしていなかったですが、音質が変わった感じはありません。 しばらく様子を見ます。

2016-06-02 17:13 Updated by: nishimoto
  • Ticket Close date is changed to 2016-06-02 17:13
  • Status Update from Open to Closed

Edit

Please login to add comment to this ticket » Login